Page MenuHomePhabricator

apply regular lists role on fermium and confirm no issues
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productionmailman: make Apache config 2.4 compatible
operations/puppet : productionmailman: fix I/O monitoring on virtual machine
operations/puppet : productionmailman: no gate_news debconf option on >= jessie
operations/puppet : productionmailman: use role-based hiera lookup on fermium
operations/puppet : productionmailman: apply list role on fermium
operations/puppet : productionexim: temp hack to stop exim when on fermium

Related Objects

Event Timeline

Dzahn created this task.Aug 22 2015, 12:41 AM
Dzahn claimed this task.
Dzahn raised the priority of this task from to High.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: ori, MZMcBride, Dzahn and 5 others.

Change 233873 had a related patch set uploaded (by Dzahn):
mailman: apply list role on fermium

https://gerrit.wikimedia.org/r/233873

Change 234318 had a related patch set uploaded (by Dzahn):
exim: temp hack to stop exim when on fermium

https://gerrit.wikimedia.org/r/234318

Change 234318 merged by Dzahn:
exim: temp hack to stop exim when on fermium

https://gerrit.wikimedia.org/r/234318

Change 233873 merged by Dzahn:
mailman: apply list role on fermium

https://gerrit.wikimedia.org/r/233873

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find data item mailman::lists_servername in any Hiera data file and no default supplied at /etc/puppet/modules/mailman/manifests/webui.pp:12 on node fermium.wikimedia.org

Change 234449 had a related patch set uploaded (by Dzahn):
mailman: use role-based hiera lookup on fermium

https://gerrit.wikimedia.org/r/234449

Change 234449 merged by Dzahn:
mailman: use role-based hiera lookup on fermium

https://gerrit.wikimedia.org/r/234449

Dzahn added a comment.EditedAug 28 2015, 12:15 AM

Notice: /Stage[main]/Mailman::Listserve/Exec[dpkg-reconfigure mailman]: Dependency Exec[debconf-communicate set mailman/gate_news] has failures: true
Warning: /Stage[main]/Mailman::Listserve/Exec[dpkg-reconfigure mailman]: Skipping because of failed dependencies


16 debconf::set { 'mailman/gate_news':
17 value => 'false',
18 notify => Exec['dpkg-reconfigure mailman'],
19 }


later:

Notice: /Stage[main]/Mailman::Listserve/File[/etc/mailman/mm_cfg.py]: Dependency File[/etc/mailman/fr/listinfo.html] has failures: true
Warning: /Stage[main]/Mailman::Listserve/File[/etc/mailman/mm_cfg.py]: Skipping because of failed dependencies
Notice: /Stage[main]/Mailman::Listserve/Service[mailman]: Dependency Exec[debconf-communicate set mailman/gate_news] has failures: true
Notice: /Stage[main]/Mailman::Listserve/Service[mailman]: Dependency File[/etc/mailman/fr/listinfo.html] has failures: true
Warning: /Stage[main]/Mailman::Listserve/Service[mailman]: Skipping because of failed dependencies
Notice: /Stage[main]/Mailman::Webui/File[/var/lib/mailman/templates]: Dependency File[/etc/mailman/fr/listinfo.html] has failures: true
Warning: /Stage[main]/Mailman::Webui/File[/var/lib/mailman/templates]: Skipping because of failed dependencies

But besides that it looks really good. It created ALL the mailman listinfo pages, , spamassassin is running, the webserver setup is done, exim got reconfigured etc etc..

monitoring issues:

mailman I/O stats: ERROR: Device incorrectly specified

all others are known (exim stopped, archives not imported yet., puppet fail above)

Change 234456 had a related patch set uploaded (by Dzahn):
mailman: fix I/O monitoring on fermium

https://gerrit.wikimedia.org/r/234456

Dzahn added a comment.Aug 28 2015, 2:16 AM

@fermium:~# echo get mailman/gate_news | debconf-communicate
10 mailman/gate_news doesn't exist

@sodium:~# echo get mailman/gate_news | debconf-communicate
0 false

^ that option doesn't exist anymore

Change 234462 had a related patch set uploaded (by Dzahn):
mailman: remove gate_news debconf option

https://gerrit.wikimedia.org/r/234462

Change 234462 merged by Dzahn:
mailman: no gate_news debconf option on >= jessie

https://gerrit.wikimedia.org/r/234462

now the next issue is: Error: invalid byte sequence in UTF-8 from templates

--> T110695

Dzahn closed this task as Resolved.Aug 28 2015, 6:17 PM

fixed that too. now puppet finishes without any warnings or errors :)

[fermium:~] $ puppet agent -tv
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Info: Caching catalog for fermium.wikimedia.org
Info: Applying configuration version '1440785679'
Notice: Finished catalog run in 17.01 seconds

Change 234456 merged by Dzahn:
mailman: fix I/O monitoring on virtual machine

https://gerrit.wikimedia.org/r/234456

Dzahn added a comment.Aug 28 2015, 9:31 PM

Apache config still needs adjustment for 2.4

"client denied by server configuration" for the monitoring checks etc

Change 234676 had a related patch set uploaded (by Dzahn):
mailman: make Apache config 2.4 compatible

https://gerrit.wikimedia.org/r/234676

Change 234676 merged by Dzahn:
mailman: make Apache config 2.4 compatible

https://gerrit.wikimedia.org/r/234676

now still:

Aug 28 23:58:51 fermium apache2[23067]: AH00526: Syntax error on line 26 of /etc/apache2/sites-en...onf:
Aug 28 23:58:51 fermium apache2[23067]: negative Require directive has no effect in <RequireAny> ...tive
Aug 28 23:58:51 fermium apache2[23067]: Action 'configtest' failed.

Dzahn reopened this task as Open.Aug 29 2015, 12:00 AM
Dzahn closed this task as Resolved.Aug 31 2015, 11:16 PM

Apache issues fixed. Monitoring issues fixed.

Dzahn set Security to None.